Subject: RE: New Version Notification for draft-grmas-bfd-rfc5884-clarifications-00.txt

From: "Vengada Prasad Govindan (venggovi)" <[email-masked]>
Date: Fri, 7 Nov 2014 03:27:10 +0000

Hello Santosh,
  Please find responses inline. Permit me to copy the BFD WG mailing list. I look forward to hearing your comments on the responses.
Thanks
Prasad 

-----Original Message-----
From: Santosh P K [mailto:[email-masked]] 
Sent: Thursday, November 06, 2014 6:52 PM
To: Vengada Prasad Govindan (venggovi)
Subject: RE: New Version Notification for draft-grmas-bfd-rfc5884-clarifications-00.txt

Prasad,
   I wanted few clarification in this draft. 

In section 2.3 it says

"      The BFD session on the egress LSR MAY be gracefully removed by the
      ingress LSR by using the BFD diagnostic code AdminDown(7)
      specified in [RFC5880].  When the ingress LSR wants to gracefully
      remove a session, it MAY transmit BFD packets containing the
      diagnostic code AdminDown(7) detectMultiplier number of times.
      Upon receiving such a packet, the egress LSR MAY remove the BFD
      session gracefully, without triggering a change of state.

   Ed Note: The procedures to be followed at the egress LSR when the BFD
   session never transitions to UP from DOWN state are yet to be
   clarified "

When ADMINDOWN packet is received why is it mentioned that egress may not go down and can remove the BFD session? It can go down and can remove the session right? BFD session on egress can send ADMINDOWN received state to its client?
GVP1> When the LSR egress receives a BFD packet with AdminDown diagnostic code, it does not take the adjacency down. In other words, this is the equivalent of the adjacency being no longer tracked by BFD. Hence the above text. Please let me know if you are still not convinced about the clarity.
And I did not understand that Ed note:) Can you please calrify?
GVP1> The case where a possible starvation of resources can happen at the LSR egress due to many pending BFD bootstrap requests (where the BFD session never transitions to UP state causing some resources like memory, pps budget etc to lie unused) may need discussion. 

Thanks
Santosh P K  

> -----Original Message-----
> From: Rtg-bfd [mailto:[email-masked]] On Behalf Of Vengada 
> Prasad Govindan (venggovi)
> Sent: Friday, October 03, 2014 9:29 PM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: FW: New Version Notification for draft-grmas-bfd-rfc5884- 
> clarifications-00.txt
> 
> Hello all,
>   A new draft (draft-grmas-bfd-rfc5884-clarifications) has been 
> submitted based on discussions at IETF-90 for 
> draft-vgovindan-mpls-extended-bfd-disc-
> tlv. Please note that the latter will be discontinued. Comments/ 
> Reviews are welcome for draft-grmas-bfd-rfc-5884-clarifications.
> - Authors
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, October 03, 2014 7:17 PM
> To: Nobo Akiya (nobo); Sam Aldrin; Greg Mirsky; Gregory Mirsky; 
> Kalyani Rajaraman; Vengada Prasad Govindan (venggovi); Nobo Akiya 
> (nobo); Vengada Prasad Govindan (venggovi); Kalyani Rajaraman; Sam 
> Aldrin
> Subject: New Version Notification for 
> draft-grmas-bfd-rfc5884-clarifications-
> 00.txt
> 
> 
> A new version of I-D, draft-grmas-bfd-rfc5884-clarifications-00.txt
> has been successfully submitted by Vengada Prasad Govindan and posted 
> to the IETF repository.
> 
> Name:		draft-grmas-bfd-rfc5884-clarifications
> Revision:	00
> Title:		Clarifications to RFC 5884
> Document date:	2014-10-03
> Group:		Individual Submission
> Pages:		6
> URL:            http://www.ietf.org/internet-drafts/draft-grmas-bfd-rfc5884-
> clarifications-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-grmas-bfd-rfc5884-
> clarifications/
> Htmlized:       http://tools.ietf.org/html/draft-grmas-bfd-rfc5884-
> clarifications-00
> 
> 
> Abstract:
>    This document clarifies the procedures for establishing, maintaining
>    and removing multiple, concurrent BFD sessions for a given <MPLS LSP,
>    FEC> described in RFC5884.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of 
> submission until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat